
QGIS Application - Bug report #17982

Reference point property in Layout move rotated elements

2018-01-28 09:07 AM - Klas Karlsson

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: Yes

Operating System: Ubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25878

Description

(connected to 17910)

Se attached image.

Element when setting rotation, rotates around center and not anchor point.

Manually moving element back to anchor point should fix this...

...but when opening saved layout, elements are placed derived from original anchorpoint and center rotation.

Any rotated element in the Layout will be moved every time opened (save, close QGIS, re-open).

Solution (?): Always rotate around anchor point.

Associated revisions

Revision fb8f3e9e - 2018-01-29 02:25 AM - Nyall Dawson

[layouts] Fix restoration of rotated item positions

Fixes #17982

History

#1 - 2018-01-28 09:12 AM - Nyall Dawson

- Regression? changed from No to Yes

#2 - 2018-01-28 11:07 AM - Klas Karlsson

Note, that if I set the anchor point to center/center for rotated elements, the elements stay fixed when re-opening. (workaround)

#3 - 2018-01-29 02:25 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|fb8f3e9e4a92f3b81223dd0fc3f7bfb4a3b9e523.

#4 - 2018-02-21 09:30 PM - Giovanni Manghi
- Resolution set to fixed/implemented

Files
